summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rw-r--r--ci/PR_revision.log1
-rwxr-xr-xci/deploy.sh11
2 files changed, 6 insertions, 6 deletions
diff --git a/ci/PR_revision.log b/ci/PR_revision.log
index da13a48f..0b479c65 100644
--- a/ci/PR_revision.log
+++ b/ci/PR_revision.log
@@ -6,3 +6,4 @@
18,Fix sql race condition
21,Serialize db_sync calls and increase sql-sleep timer
23,Fix odl env files
+25,Force metadata on all scenarios
diff --git a/ci/deploy.sh b/ci/deploy.sh
index da1d29e2..7c07ae63 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -803,11 +803,7 @@ function undercloud_prep_overcloud_deploy {
exit 1
fi
- # Handle different dataplanes
- if [ "${deploy_options_array['dataplane']}" != 'ovs' ]; then
- echo "${red}ovs is the only currently available dataplane. ${deploy_options_array['dataplane']} not implemented${reset}"
- exit 1
- fi
+
# Make sure the correct overcloud image is available
if [ ! -f $RESOURCES/overcloud-full-${SDN_IMAGE}.qcow2 ]; then
@@ -841,9 +837,12 @@ EOF
--upload uio_pci_generic.modules:/etc/sysconfig/modules/ \
--run-command "chmod 0755 /etc/sysconfig/modules/vfio_pci.modules" \
--run-command "chmod 0755 /etc/sysconfig/modules/uio_pci_generic.modules" \
+ --run-command "yum install -y /root/dpdk_rpms/*" \
-a overcloud-full.qcow2
EOI
-
+ elif [ "${deploy_options_array['dataplane']}" != 'ovs' ]; then
+ echo "${red}${deploy_options_array['dataplane']} not supported${reset}"
+ exit 1
fi
# Set ODL version accordingly